Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml.parser
Class DeviceDOMParser

    java.lang.Object
      org.teleal.common.xml.DOMParser<DeviceDOM>
          org.teleal.cling.binding.xml.parser.DeviceDOMParser

All Implemented Interfaces:
  EntityResolver, ErrorHandler

    public class DeviceDOMParser

extends org.teleal.common.xml.DOMParser<DeviceDOM>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.common.xml.DOMParser
`org.teleal.common.xml.DOMParser.NodeVisitor`

Field Summary

Fields inherited from class org.teleal.common.xml.DOMParser
`schema, XML_SCHEMA_RESOURCE`

Constructor Summary
`DeviceDOMParser()`

Method Summary
`org.teleal.common.xml.NamespaceContextMap` | `createDefaultNamespaceContext(String... optionalPrefixes)`
`protected DeviceDOM` | `createDOM(Document document)`
`XPath` | `createXPath()`

Methods inherited from class org.teleal.common.xml.DOMParser
`accept, createDocument, createFactory, createTransformer, createXPath, createXPath, createXPathFactory, error, escape, escape, fatalError, getXPathResult, getXPathResult, getXPathResult, isIgnorableWSNode, parse, parse, parse, parse, parse, parse, parse, parse, parse, print, print, print, print, print, print, print, printHTML, printHTML, removeIgnorableWSNodes, resolveEntity, stripElements, unwrapException, validate, validate, validate, validate, validate, warning, wrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceDOMParser

    public DeviceDOMParser()

Method Detail

### createDOM

    protected DeviceDOM createDOM(Document document)

  Specified by:
    `createDOM` in class `org.teleal.common.xml.DOMParser<DeviceDOM>`

### createDefaultNamespaceContext

    public org.teleal.common.xml.NamespaceContextMap createDefaultNamespaceContext(String... optionalPrefixes)

### createXPath

    public XPath createXPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.